package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-09-25 17:43
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE_FTP")
@Api(value = "FTP适配器", description = "FTP适配器")
public class BsSuitCaseFTP extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "file_Name")
    @ApiParam(value = "文件名")
    private String fileName;

    @Column(name = "ENCODE")
    @ApiParam(value = "编码")
    private Integer encode;

    @Column(name = "IS_READ_AND_EMPTY")
    @ApiParam(value = "读取并清空")
    private Integer isReadAndEmpty;

    @Column(name = "IS_READ_AND_DELETE")
    @ApiParam(value = "读取并删除")
    private Integer isReadAndDelete;

    @Column(name = "IS_NEED_TRAVERSAL")
    @ApiParam(value = "是否需要遍历")
    private Integer isNeedTraversal;

    @Column(name = "IS_INCREMENTAL_READ")
    @ApiParam(value = "是否增量读取")
    private Integer isIncrementalRead;

}
